package wenrgise.workflow.core.impl;

import java.util.HashMap;
import wenrgise.workflow.core.WflDocumentInfo;
import wenrgise.workflow.core.WflResource;
import wenrgise.workflow.core.WflSite;

public class WflDocumentInfoImpl implements WflDocumentInfo {
  private WflResource requester = null;
  
  private WflResource creator = null;
  
  private String requesterAction = null;
  
  private String documentTypeId = null;
  
  private String documentId = null;
  
  private String documentNumber = null;
  
  private String moduleId = null;
  
  private WflSite site = null;
  
  private HashMap documentAttributes;
  
  private String workListId;
  
  private String documentType = null;
  
  private String initiatedFlag;
  
  private String docDesc;
  
  public WflResource getCreator() {
    return this.creator;
  }
  
  public void setCreator(WflResource newCreator) {
    this.creator = newCreator;
  }
  
  public String getDocumentId() {
    return this.documentId;
  }
  
  public void setDocumentId(String newDocumentId) {
    this.documentId = newDocumentId;
  }
  
  public String getDocumentNumber() {
    return this.documentNumber;
  }
  
  public void setDocumentNumber(String newDocumentNumber) {
    this.documentNumber = newDocumentNumber;
  }
  
  public String getDocumentTypeId() {
    return this.documentTypeId;
  }
  
  public void setDocumentTypeId(String newDocumentTypeId) {
    this.documentTypeId = newDocumentTypeId;
  }
  
  public String getModuleId() {
    return this.moduleId;
  }
  
  public void setModuleId(String newModuleId) {
    this.moduleId = newModuleId;
  }
  
  public WflResource getRequester() {
    return this.requester;
  }
  
  public void setRequester(WflResource newRequester) {
    this.requester = newRequester;
  }
  
  public String getRequesterAction() {
    return this.requesterAction;
  }
  
  public void setRequesterAction(String newRequesterAction) {
    this.requesterAction = newRequesterAction;
  }
  
  public WflSite getSite() {
    return this.site;
  }
  
  public void setSite(WflSite newSite) {
    this.site = newSite;
  }
  
  public HashMap getDocumentAttributes() {
    return this.documentAttributes;
  }
  
  public void setDocumentAttributes(HashMap newDocumentAttributes) {
    this.documentAttributes = newDocumentAttributes;
  }
  
  public String getWorkListId() {
    return this.workListId;
  }
  
  public void setWorkListId(String newWorkListId) {
    this.workListId = newWorkListId;
  }
  
  public String getDocumentType() {
    return this.documentType;
  }
  
  public void setDocumentType(String newDocumentType) {
    this.documentType = newDocumentType;
  }
  
  public String getInitiatedFlag() {
    return this.initiatedFlag;
  }
  
  public void setInitiatedFlag(String newInitiatedFlag) {
    this.initiatedFlag = newInitiatedFlag;
  }
  
  public String getDocDesc() {
    return this.docDesc;
  }
  
  public void setDocDesc(String newDocDesc) {
    this.docDesc = newDocDesc;
  }
}
